singularity(1)

NAME

singularity-instance-stop - Stop a named instance of a given container image

SYNOPSIS

singularity instance stop [stop options...] [instance]

DESCRIPTION

The command singularity instance stop allows you to stop and clean up a named,
  running instance of a given container image.

OPTIONS

-a, --all[=false]
    stop all user's instances

-F, --force[=false]
    force kill instance

-h, --help[=false]
    help for stop

-s, --signal=""
    signal sent to the instance

-t, --timeout=10
    force kill non stopped instances after X seconds

-u, --user=""
    if running as root, stop instances belonging to user

EXAMPLE

      $ singularity instance start my-sql.sif mysql1
      $ singularity instance start my-sql.sif mysql2
      $ singularity instance stop mysql*
      Stopping mysql1 instance of my-sql.sif (PID=23845)
      Stopping mysql2 instance of my-sql.sif (PID=23858)

      $ singularity instance start my-sql.sif mysql1

      Force instance to shutdown
      $ singularity instance stop -f mysql1 (may corrupt data)

      Send SIGTERM to the instance
      $ singularity instance stop -s SIGTERM mysql1
      $ singularity instance stop -s TERM mysql1
      $ singularity instance stop -s 15 mysql1

SEE ALSO

singularity-instance(1)

HISTORY

21-Jul-2025 Auto generated by spf13/cobra